---
gitea: none
include_toc: true
---

# 1. CISS.debian.installer

**Centurion Intelligence Consulting Agency Information Security Standard**<br>
*The CISS Debian Installer provides a fully automated and hardened installation process.*<br>
**Master Version**: 8.00<br>
**Build**: V8.00.000.2025.06.17<br>

# 2. Usage
````text
CISS.debian.installer
Master V8.00.000.2025.06.17

(c) Marc S. Weidner, 2018 - 2025
(p) Centurion Press, 2024 - 2025

https://coresecret.eu/

A powerful Debian installer for setting up a hardened Debian environment.

"setup.sh <option>", where <option> is one or more of:

  --help, -h
    What you're looking at.

  --contact, -c
    Displays contact information of the author.

  --debug
    Enables debug logging for the main program routine. Detailed logging
    information are written to "/tmp/ciss_live_builder_516151.log"

  --renice-priority <PRIORITY>
    Reset the nice priority value of the script and all its children
    to the desired PRIORITY. MUST be an integer (between "-19" and 19).
    Negative (higher) values MUST be enclosed in double quotes '"'.

  --reionice-priority <CLASS> <PRIORITY>
    Reset the ionice priority value of the script and all its children
    to the desired CLASS. MUST be an integer:
    1: realtime
    2: best-effort
    3: idle
    defaults to "2".
    PRIORITY MUST be an integer:
    between 0 (highest) and 7 (lowest) priority.
    defaults to "4".
    A real-time I/O process can significantly slow down other processes
    or even cause them to starve if it continuously requests I/O.

  --version, -v
    Displays version of -zsh.

NOTES:
  - You MUST be 'root' to run this script.

Contact:
  - https://coresecret.eu/
  - security@coresecret.eu
    - PGP Key 2D98 07F4 1030 1776 597E BDC9 9F54 8853 35A3 C9AD
      - https://keys.openpgp.org/vks/v1/by-fingerprint/2D9807F410301776597EBDC99F54885335A3C9AD
````

---
**[no tracking | no logging | no advertising | no profiling | no bullshit](https://coresecret.eu/)**
<!-- vim: set number et ts=2 sw=2 sts=2 ai tw=128 ft=markdown -->
